/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"Dep_8h_source.html",
"Json_8h.html#a59e298a12f837155de6789dd2cf37ffe",
"MediaSource_8cc_source.html",
"ProductFileReader_8cc.html",
"ResFilters_8h.html#gada6c38fff66c71c41062310501355af0",
"Signal_8h.html",
"Testcase_8h_source.html",
"base_2LogTools_8h_source.html",
"classzypp_1_1C__Str.html#ac9a885992530f72e95a4377c60e5df18",
"classzypp_1_1ChecksumFileChecker.html#a121c50a1e4fa9966b02fb8afce9b4abc",
"classzypp_1_1DiskUsageCounter.html#a29d31ac04b937e5fdabe36970c199226",
"classzypp_1_1HistoryLogData.html#a974746bd8f65bc96a4e19f03723b2ff7af49e86193318efbd886fda31d8b72db7",
"classzypp_1_1InstanceId.html#ae0d911d3a6f3c8826e9fa85f35027550",
"classzypp_1_1Match.html#aa36c4653ca5d4a8c53064f5f5ec70d6d",
"classzypp_1_1PluginExecutor.html#aabe72219b4b991543b7d3cd289ea8795",
"classzypp_1_1PoolQuery.html#ade0d08140af2fabdc78be278892b5629",
"classzypp_1_1PublicKeyData.html#a5680e96b56d115eecdcd86c50756395e",
"classzypp_1_1RepoManager.html#af953cd106add623a3a0f5ba6be992651",
"classzypp_1_1ResPoolProxy.html#aa417242365ecba0a998d75003eda0233",
"classzypp_1_1Resolver.html#a8f4d3a3a741855cab77b49d091035bda",
"classzypp_1_1Target.html#af8a782ae37dfc272046f951b3f437dc2",
"classzypp_1_1ZConfig.html#ae9dc638c4ea16e8072bc003fc9940535",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a09ead57ca03f47292e1b517231ba99f7",
"classzypp_1_1detail_1_1PoolQueryIterator.html#a0507c7370174593bcb6bf782b7093e35",
"classzypp_1_1filesystem_1_1Pathname.html#a28ffa728f20a33c771307b41d7a1fe59",
"classzypp_1_1media_1_1MediaCIFS.html#a76d30ee5d0e63d78e1188d95f6455196",
"classzypp_1_1media_1_1MediaNFS.html#ad2b0b67f1f9dad24b00844cec955a1ce",
"classzypp_1_1parser_1_1HistoryLogReader.html#a4e78a50c7ee32e9a2219526a867f439d",
"classzypp_1_1repo_1_1PackageProvider.html#a76756074d56c4e96f21ce0c103285f21",
"classzypp_1_1resstatus_1_1StatusBackup.html#a33b946a37903b362c9f3d853ae9e3098",
"classzypp_1_1sat_1_1Pool.html#aacf0eaeb5c1f2dbe59254df82840dd9a",
"classzypp_1_1sat_1_1Solvable.html#a8ebc349c14371a3060519bc0c0a947d6",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a517d39eb21da2c270dde5f2cb5391ee0",
"classzypp_1_1syscontent_1_1Reader_1_1Entry_1_1Impl.html#a8a03ab922a117ca02ad9e95cf5addef5",
"classzypp_1_1target_1_1TargetImpl.html#aaf987c8be06429c74fe26326a392a4b0",
"classzypp_1_1target_1_1rpm_1_1RpmTransactionFailedException.html#a3845228cb0b3c6850c24c939008f1e83",
"classzypp_1_1url_1_1UrlBase.html#a4c64bd0554854ebfbff299b343dde167",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#a343ada25aae3ffcfad24b44350e321cb",
"core_2base_2String_8h.html#a116c5922b5388e7df08af9d94079f3dcade1c3da09719f64b2c090a5a04c00ec6",
"core_2url_2UrlBase_8h.html",
"globals_type.html",
"librpmDb_8h_source.html",
"plugin-commit.html#pluginbegin",
"structzypp_1_1CpeId_1_1Value_1_1ETypeDef.html#a347b71d8fe036f1b7ce7edc019168fb5ab79513e31d02871f2ebf07638a039733",
"structzypp_1_1KVMap.html#ad5e93e6e39ec9b47ee27f57e1c621e6e",
"structzypp_1_1ProblemSolution_1_1Impl.html#af866954704ac42e5fe9b3070717ef9c0",
"structzypp_1_1RepoManager_1_1Impl.html#a007fedcc3f3e7a37ed132512f57d2254",
"structzypp_1_1ZConfig_1_1Impl_1_1TargetDefaults.html#a9ebdb55bbf25c3cbecfed82b2f7c443d",
"structzypp_1_1debug_1_1TraceCADBase.html#acdb48f944768ab3ea26b5454656caaa1a4b3dde1af91db6ad2d8e48d6e19ca462",
"structzypp_1_1misc_1_1testcase_1_1ForceInstallImpl.html#adf4cf8027d9a3ecaa3b136ba0d4227bd",
"structzypp_1_1repo_1_1RepoReport.html#a613e8e28e9eeaedfbf84918f8c2ca428",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#a5ab6e9184efb4aaf9c7e01d205ec8246",
"structzypp_1_1target_1_1rpm_1_1RpmInstallReport.html#a78704e3b9309996233296db0f3ed1fefa64ed6ec77ec2fd259609ad46cba1931d",
"structzypp_1_1xml_1_1parse__def__assign_1_1Builder.html#a57fe3b795abd123a150a6a71b794c726"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';